import type { MaDevicePreviewAppDetailProps } from '../types';
declare const _default: import("vue").DefineComponent<MaDevicePreviewAppDetailProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<MaDevicePreviewAppDetailProps> & Readonly<{}>, {
    device: import("../types").DeviceType;
    displayType: import("../types").DisplayType;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
